/*{
	"CREDIT": "by Alexandre Buge",
	"ISFVSN": "2",
	"CATEGORIES": [
		"Color Adjustment"
	],
	"INPUTS": [
		{
			"NAME": "inputImage",
			"TYPE": "image"
		}
	]
}*/



void main() {
	vec4		tmpColorA = IMG_THIS_PIXEL(inputImage);

	mat4 yuvItu601Matrix4ToRGBA = mat4(
    1.1644,   1.1644,  1.1644, 0.,
        0., -0.39176,  2.0172, 0.,
     1.596, -0.81297,      0., 0.,
   -0.8742,  0.53167, -1.0856, 1.);



  mat4 yuvItu709Matrix4ToRGBA =mat4(
      1.1644,   1.1644,  1.1644, 0.,
          0., -0.21325,  2.1124, 0.,
      1.7927, -0.53291,      0., 0.,
    -0.97295,  0.30148, -1.1334, 1.);

   tmpColorA  =  mul(inverse(yuvItu601Matrix4ToRGBA),  tmpColorA);

   tmpColorA =  mul(yuvItu709Matrix4ToRGBA, tmpColorA);
	gl_FragColor = tmpColorA;
}


